Publicité
+ Répondre à la discussion
Affichage des résultats 1 à 7 sur 7
  1. #1
    Membre à l'essai
    Profil pro ben gr
    Inscrit en
    octobre 2010
    Messages
    65
    Détails du profil
    Informations personnelles :
    Nom : ben gr

    Informations forums :
    Inscription : octobre 2010
    Messages : 65
    Points : 20
    Points
    20

    Par défaut [firebird 2.1] Connexion à une base impossible

    Bonjour,

    Je dispose d'un fichier de base de données .ib. Cependant je dois me connecter à cette base à l'aide de firebird 2.1 (une application exige cette version).

    Ainsi comment puis-je me connecter à ma base? Dois-je modifier le format de mon fichier?

    Lorsque j'essaie de me connecter (sous ISQL), j'obtiens "XXX.IB is not a valid datebase".

    Merci.

  2. #2
    Rédacteur/Modérateur
    Avatar de SergioMaster
    Homme Profil pro Serge Girard
    Développeur informatique
    Inscrit en
    janvier 2007
    Messages
    5 346
    Détails du profil
    Informations personnelles :
    Nom : Homme Serge Girard
    Âge : 58
    Localisation : France, Loire Atlantique (Pays de la Loire)

    Informations professionnelles :
    Activité : Développeur informatique
    Secteur : Industrie

    Informations forums :
    Inscription : janvier 2007
    Messages : 5 346
    Points : 10 460
    Points
    10 460

    Par défaut

    Hum problème de version de BDD (N° d'ODS) ?
    L'extension ne veut pas dire grand chose (.ib ne veut pas forcément dire : base de donnée interbase , moi j'ai des .sec , .fdb , .gdb ou .cequejeveux ).

    Est-ce bien sur que ce fichier soit une Base Firebird 2.1 ?
    Sur le poste , est-ce un Firebird Serveur ? ou simplement un client
    le service firebird est-il démarré ?
    Bref plein de pistes
    La seule chose absolue dans un monde comme le nôtre, c'est l'humour. » Albert Einstein
    J'entends et j'oublie. Je vois et je me souviens. Je fais et je comprends . Confucius
    Si votre seul outil est un marteau, vous aurez tendance a ne voir que des clous

  3. #3
    Membre à l'essai
    Profil pro ben gr
    Inscrit en
    octobre 2010
    Messages
    65
    Détails du profil
    Informations personnelles :
    Nom : ben gr

    Informations forums :
    Inscription : octobre 2010
    Messages : 65
    Points : 20
    Points
    20

    Par défaut

    Merci de t’intéresser à mon problème et de m'aider

    J'utilise firebird server 2.1 server, le service est bien démarré, j'ai chargé le fichier avec ISQL, puis j'ai essayé avec flamerobin (de peur de me tromper d'adresse)... mais j'obtiens le même message d'erreur.

    La base .ib doit être valide puisque j'en utilise une copie dans une application totalement indépendante du reseau (et installé sur un pc deconnecté de ce dernier) tournant avec firebird .

    Merci,

  4. #4
    Expert Confirmé Sénior
    Avatar de qi130
    Homme Profil pro Pierre
    Expert Processus IT
    Inscrit en
    mars 2003
    Messages
    3 730
    Détails du profil
    Informations personnelles :
    Nom : Homme Pierre
    Âge : 53
    Localisation : France

    Informations professionnelles :
    Activité : Expert Processus IT
    Secteur : Finance

    Informations forums :
    Inscription : mars 2003
    Messages : 3 730
    Points : 5 676
    Points
    5 676

    Par défaut

    Citation Envoyé par renardchan Voir le message
    La base .ib doit être valide puisque j'en utilise une copie dans une application totalement indépendante du reseau (et installé sur un pc deconnecté de ce dernier) tournant avec firebird .
    Firebird 2.1 aussi ?
    "Il n'y a pas de bonnes réponses à une mauvaise question." (M. Godet)
    -----------------------
    Pensez à cloturer votre sujet - Aucune réponse aux sollicitations techniques par MP
    Usus magister est optimus

  5. #5
    Membre à l'essai
    Profil pro ben gr
    Inscrit en
    octobre 2010
    Messages
    65
    Détails du profil
    Informations personnelles :
    Nom : ben gr

    Informations forums :
    Inscription : octobre 2010
    Messages : 65
    Points : 20
    Points
    20

    Par défaut

    Firebird 2.1 aussi ?
    En effet, j'ai essayé avec firebird 1.5 et ca fonctionne... l'appli doit tourner sous firebird 1.5

  6. #6
    Expert Confirmé Avatar de Barbibulle
    Profil pro Frédéric
    Inscrit en
    octobre 2002
    Messages
    1 740
    Détails du profil
    Informations personnelles :
    Nom : Frédéric
    Âge : 44

    Informations forums :
    Inscription : octobre 2002
    Messages : 1 740
    Points : 2 530
    Points
    2 530

    Par défaut

    ou interbase 6.x.

    Le mieux serait de regarder l'ODS de ce fichier.

    Avec la commande gstat par exemple :


  7. #7
    Membre actif Avatar de castorcharly
    Homme Profil pro
    Chef de projet
    Inscrit en
    février 2009
    Messages
    285
    Détails du profil
    Informations personnelles :
    Sexe : Homme
    Âge : 58

    Informations professionnelles :
    Activité : Chef de projet
    Secteur : Biens de consommation

    Informations forums :
    Inscription : février 2009
    Messages : 285
    Points : 151
    Points
    151

    Par défaut

    Bonjour,

    J'ai eut ce type de problème en n'utilisant pas le bon fbclient.dll.

    Il y a peut être plusieurs version de ton fbclient sur ton poste, d'autant plus que tu parles d'une version 2.1 où ça ne marche pas et d'une version 1.5 où ça marche.

Liens sociaux

Règles de messages

  • Vous ne pouvez pas créer de nouvelles discussions
  • Vous ne pouvez pas envoyer des réponses
  • Vous ne pouvez pas envoyer des pièces jointes
  • Vous ne pouvez pas modifier vos messages
  •